
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: outfit;
}
body{
    background-color: rgba(135, 193, 235, 0.531);
}
a{
    text-decoration: none;
    color: inherit;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #131921;
    padding: 10px 20px;
    color: #fff;
}
.nav-search{
    flex: 1;
    display: flex;
    align-items: center;
    background: white;
    border-radius: 0 4px 4px 0;;
    color: gray;
    max-width: 1000px;
    border-radius: 4px;
    margin-left: 15px;
}
.nav-search-catagory{
    display: flex;
    align-items: center;
    padding: 10px 20px;
    gap: 5px;
    background: #e5e5e5;
    border-radius: 4px 0 0 4px;
}
.nav-search-input{
    border: none;
    outline: none;
    padding-left: 20px;
    width: 100%;
}
.nav-search-icon{
    max-width: 41px;
    padding: 8px;
    background:  rgba(153, 205, 50, 0.91);
    border-radius: 0 4px 4px 0;
}
.nav-language{
    display: flex;
    align-items: center;
    gap: 2px;
    font-weight: 600;
    margin-left: 15px;
}
.nav-text{
    margin-left: 15px;
}
.nav-text p{
    font-size: 10px;
}
.nav-text h1{
    font-size: 14px;
}
.nav-cart{
    display: flex;
    align-items: center;
    margin: 0px 15px;
}
.nav-bottom{
    display: flex;
    align-items: center;
    gap: 25px;
    padding: 8px 20px;
    background:  rgba(153, 205, 50, 0.91);
    color: black;
    font-size: 15px;
    justify-content: space-between;
    margin-bottom: 36px;
}
.nav-bottom div{
    display: flex;
    align-items: center;
    gap: 5px;
    font-weight: 500;
}
.header-slider ul{
    display: flex;
    overflow-y: hidden;
}
.header-img{
    max-width: 100%;
    mask-image: linear-gradient(to bottom, #000000 50%.
    transparent 100%);
    
}
.header-slider a{
    position: absolute;
    top: 20%;
    z-index: 1;
    padding: 5vh 1vw;
    background: #ffffff4f;
    color: #0000007b;
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    cursor: pointer;
}
.autoShow{
    animation: autoShowAnimation both;
    animation-timeline: view(70% 5%);
}
@keyframes autoShowAnimation{
    from{
        opacity: 0;
        transform: translateY(200px) scale(0.3);
    }
    to{
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}
.autoShow {
    animation: text-appear both;
    animation-timeline: view();
    animation-range: entry 20% cover 100vh;
}
@keyframes text-appear {
    from {
        opacity: 0;
        transform: translateY(100px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.middle-portion{
    width: 100%;
    height: 550px;
    background-color: #dadada;
    margin-bottom: 30px;
    margin-top: 90px;
    display: flex;
    
}
.story{
    margin-left: 50px;
    margin-top: 60px;
}
.story p{
    line-height: 30px;
    font-size: 15px;
}
.story h2{
    color: green;
}
.story span{
    color: blue;
}


.see-more{
padding-top: 150px;

color: red;
}
.slider1{
    width: 70vh;
    height: 70vh;
    position: relative;
    overflow: hidden;
    border-radius: 50%;
    background-image: url(Images/background1.jfif);
    margin-left: 200px;
    margin-top: 100px;
}
.slider1 figure{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: center;
    animation: fade 20s infinite;
    opacity: 0;
}
/*Add your own image URLs here*/


.slider1 figure:nth-child(1){
    background-image: url(Images/GH\ 900\ plus.png);
    animation-delay: 0s;
}
.slider1 figure:nth-child(2){
    background-image: url(Images/GH\ Variant2.png);
    animation-delay: -4s;
}
.slider1 figure:nth-child(3){
    background-image: url(Images/GH\ Varient1.png);
    animation-delay: -8s;
}
.slider1 figure:nth-child(4){
    background-image: url(Images/lifotronic\ image4.png);
    animation-delay: -12s;
}
.slider1 figure:nth-child(5){
    background-image: url(Images/Sharay1.png);
    animation-delay: -16s;
}

@keyframes fade {
    0% {opacity: 0;}
    5% {opacity: 1;}
    25% {opacity:1;}
    30% {opacity: 0;}
    100% {opacity: 0;}
    
}

.products-slider{
    width: 100%;
    background: white;
    padding: 50px;
    margin-bottom: 25px; 
    margin-top: 50px;
    
    
}
.products-slider .products{
    display: flex;
    overflow: auto;
    gap: 50px
    margin-top: 50px;
    }
.products-slider .products img{
    width: 250px;
    height: 250px;
    //border-radius: 50%;
    //border-style: solid;
    //border-width: 8px;
    //border-color: white;
    transition: 1s;
}
.products-slider .products::-webkit-scrollbar{
    //display: none;
}
.products img:hover{
    transform: scale(1.5);
    z-index: 2;
}
.products h5{
    color: grey;
}

.control_next{
    right: 0;

}
.container1{
    width: 100%;
    height: 70vh;
    background: #222;
    display: flex;
    align-items: center;
    justify-content: center;
}
.swiper{
    width: 100%;
    height: auto;
    
}
.swiper-slide img{
    width: 100%;
    padding-top:15px;
    height: 500px;
} 
.map iframe{
    width: 100%;
}
footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    background: #131921 ;
    padding: 20px 60px;
    line-height: 30px;
    
} 
footer h5{
    color: green;
}
footer p{
    color: grey;
}



.box-row{
    display: flex;
    flex-wrap: wrap;
    row-gap: 20px;
    justify-content: space-between;
    margin: 20px 30px;
    z-index: 1;
}
.box-col{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px 20px;
    background: white;
    max-width: 24%;
    min-height: 200px;
}
.box-col a{
    font-size: 13px;
    color: #009999;
    font-weight: 500;
}
.header-box{
    margin-top: 3vw;
    margin-bottom: 3vw;
}
.box-row .box{
            border: 2px solid #000;
            width: 270px;
            margin: 10px auto;
            position: relative;
            overflow: hidden;
            height:280px ;
        }
        .box-row .box img{
            width: 300px;
            height: 250px;
        }
        .content{
            color: white;
            background: rgba(0, 0, 0, 0.6);
            position: absolute;
            top: 0;
            left: -100%;
            height: 100%;
            width: 100%;
            padding: 20px;
            box-sizing: border-box;
            transition: all 0.5s;
        }
        .box:hover .content{
          left: 0;  
        }
        .content p{
            border-top: 1px solid white;
            border-bottom: 1px solid white;
            padding: 20px;
        }
/*------media query------*/
@media only screen and (max-width:900px){
    nav{
        flex-wrap: wrap;
    }
    .nav-search{
        order: 7;
        margin: 15px 0 5px;
        max-width: 300px;
    }
    .box-col{
        max-width: 48%;
    }
    .see-more{
        display: none;
    }
    
}
@media only screen and (max-width:600px){
    .nav-contry{
        display: none;
    }
    .nav-language{
        display: none;
    }
    .nav-text{
        display: none;
    }
    .nav-bottom{
        font-size: 13px;
        gap: 10px;
        overflow-x: scroll;
    }
    .nav-bottom::-webkit-scrollbar{
        display: none;
    }
    .nav-bottom p{
        text-wrap: nowrap;
    }
    .mobile-user-icon{
        display: flex !important;
        flex: 1;
        justify-content: flex-end;
    }
    .mobile-user-icon img{
        width: 25px;
    }
    .nav-cart h4{
        display: none;
    }
    .nav-cart img{
        width: 25px;
    }
    .header-slider a{
        top: 24px;
        padding: 2vh 1vw;
        font-size: 15px;
    }
    .box-col{
        max-width: 100%;
        width: 100%;
    }
    .nav-search-input{
    border: none;
    outline: none;
    padding-left: 5px;
    width: 100%;
}

    .swiper-slide img{
    width: 100%;
    padding-top:15px;
    height: 300px;
} 
.container1{
    width: 100%;
    height: 34vh;
    background: #222;
    display: flex;
    align-items: center;
    justify-content: center;
}
.middle-portion{
    width: 100%;
    height: 480px;
    background-color: #dadada;
    margin-bottom: 10px;
    margin-top: 10px;
    display: flex;
    
} 
.story h2{
    color: green;
    font-size: 15px;
}
    .story p{
    line-height: 12px;
    font-size: 12px;
}
    see-more{
        display: none;
    }
    .slider1{
    width: 80vh;
    height: 50vh;
    position: relative;
    overflow: hidden;
    border-radius: 50%;
    background-image: url(Images/background1.jfif);
    margin-left: 30px;
    margin-top: 70px;
    padding-right: 40PX;
}
.products-slider{
    width: 100%;
    background: white;
    padding: 30px;
    margin-bottom: 15px; 
    margin-top: 30px;
    
    
}
.products-slider::-webkit-scrollbar{
        display: none;
    }
    footer{
        justify-content: center;
        flex-direction: column;
        font-size: 14px;
        display: block;
    }
    
    

